XmVaCreateLabelGadget(library call)

NAME
XmVaCreateLabelGadget, XmVaCreateManagedLabelGadget — A LabelGadget widget convenience creation functions.

SYNOPSIS

#include <Xm/LabelG.h>

Widget XmVaCreateLabelGadget(
Widget parent,
String name,
...);

Widget XmVaCreateManagedLabelGadget(
Widget parent,
String name,
...);

DESCRIPTION

These functions create an instance of a LabelGadget widget and returns the associated widget ID. These routines use the ANSI C variable-length argument list (varargs) calling convention.

The XmVaCreateLabelGadget function is a convenience routine that calls XtCreateWidget.

The XmVaCreateManagedLabelGadget function is a convenience routine that calls XtCreateManagedWidget.

parent
    Specifies the parent widget ID.

name
    Specifies the name of the created widget.

... Specifies the variable argument list to override the resource defaults.

For a complete definition of LabelGadget and its associated resources, see XmLabelGadget(3).

RETURN

Returns the LabelGadget widget ID.

RELATED

XmLabelGadget(3), XmCreateLabelGadget(3), XtCreateWidget(3), and XtCreateManagedWidget(3).